Support » Plugin: Essential Addons for Elementor » Fatal error: elementor-helper.php on line 678

  • Resolved Daniele Cafarella

    (@cafarelladaniele)


    Theme Phlox
    Elementor Ver. 2.1.8

    Fatal error: Uncaught Error: Class ‘Elementor\EAE_Posts_Group_Control’ not found in wp-content/plugins/essential-addons-for-elementor-lite/includes/elementor-helper.php on line 678

    Error: Class ‘Elementor\EAE_Posts_Group_Control’ not found in wp-content/plugins/essential-addons-for-elementor-lite/includes/elementor-helper.php on line 678

Viewing 11 replies - 1 through 11 (of 11 total)
  • Plugin Author Rupok

    (@re_enter_rupok)

    Hi @cafarelladaniele

    Can you confirm you are using the latest version? I believe it has been solved.

    Thanks!

    /**
    * Plugin Name: Essential Addons for Elementor
    * Description: The ultimate elements library for Elementor page builder plugin for WordPress.
    * Plugin URI: https://essential-addons.com/elementor/
    * Author: Codetic
    * Version: 2.7.7
    * Author URI: https://www.codetic.net
    *
    * Text Domain: essential-addons-elementor
    */

    Plugin Author Rupok

    (@re_enter_rupok)

    Hi @cafarelladaniele

    Can you initiate a live chat from our site?

    Thanks!

    I;m also having this problem. I downloaded this yesterday.essential-addons-elementor-2.11.0.zip It is not resolved.

    I’ve just tested the LITE version and get a longer error message. All plugs were disabled except the main Elementor and Pro plugins and the Phlox Pro theme. Is there a problem with PHP versions?

    php 7.2 for Phlox Pro (last version) and 7.0.20 Plox (last 2.2.21) on MAMP
    same problem.

    I eliminated the errors by removing (commenting) these lines (in Plox 2.2.21 – In Phlox Pro I have not tried):
    from 81 to 87
    $this->add_group_control(EAE_Posts_Group_Control::get_type(),[‘name’ => ‘eaeposts’]);
    and line 687
    $controls_manager->add_group_control( EAE_Posts_Group_Control::get_type(), new EAE_Posts_Group_Control() );

    Updated Elementor to 2.2.20 and EAE to 2.7.8: all works!

    Plugin Author Rupok

    (@re_enter_rupok)

    Hey Guys,

    We have fixed the issue. Please update to 2.7.8 version.

    Cheers!

    You guys are awesome! Thanks for fixing this!!!

    Fatal error: Cannot redeclare eael_activated_modules() (previously declared in /…/wp-content/plugins/essential-addons-for-elementor-lite/essential_adons_elementor.php:31) in /…/wp-content/plugins/essential-addons-elementor/essential_adons_elementor.php on line 51
    How can I fix this error? Appear when I try to activate pro plugin.
    I have version 2.11.0

    Plugin Author Rupok

    (@re_enter_rupok)

    Hi @tradu

    Looks like you are trying to activate the pro version. You need to deactivate the free version first since you don’t need both together.

    Thanks!

Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘Fatal error: elementor-helper.php on line 678’ is closed to new replies.